## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Tests require docker + networking. Disabled for now.
%bcond_with     tests

%global         srcname     azure-mgmt-netapp

Name:           python-%{srcname}
Version:        8.0.0
Release:        %autorelease
Summary:        Microsoft Azure NetApp Files Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure NetApp Files Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure



%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
* Tue Jul 05 2022 Major Hayden <major@redhat.com> 8.0.0-1
- Update to 8.0.0

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 7.0.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 7.0.0-2
- Rebuilt for Python 3.11

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 7.0.0-1
- Update to 7.0.0

* Tue Feb 08 2022 Major Hayden <major@mhtx.net> 6.0.1-1
- Update to 6.0.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 5.1.0-1
- Update to 5.1.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 4.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 4.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 4.0.0-1
- Update to 4.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 3.0.0-1
- Initial import (#1971837)
